{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
  mkIf (elem "desktop::i3" config.machine.services) {
    services.xserver = {
      enable = true;
      windowManager.i3 = {
        enable = true;
        configFile = import ../../config/etc/i3/config.nix {inherit pkgs;};
        extraPackages = with pkgs; [
          dmenu
          file
          i3lock
          i3status
          xdg-user-dirs
        ];
      };
    };
    machine.pkgsets.python3.pkgs = with pkgs.python310Packages; [py3status pytz tzlocal];
  }
